# Interface IWorldPool

All Known Implementing Classes:
  `DefaultWorldPool`

public interface IWorldPool
World pool interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDynamicStack<Contact>`
  `getChainCircleContactStack()`
  `IDynamicStack<Contact>`
  `getChainPolyContactStack()`
  `IDynamicStack<Contact>`
  `getCircleContactStack()`
  `Collision`
  `getCollision()`
  `Distance`
  `getDistance()`
  `IDynamicStack<Contact>`
  `getEdgeCircleContactStack()`
  `IDynamicStack<Contact>`
  `getEdgePolyContactStack()`
  `float[]`
  `getFloatArray(int argLength)`
  `int[]`
  `getIntArray(int argLength)`
  `IDynamicStack<Contact>`
  `getPolyCircleContactStack()`
  `IDynamicStack<Contact>`
  `getPolyContactStack()`
  `TimeOfImpact`
  `getTimeOfImpact()`
  `Vec2[]`
  `getVec2Array(int argLength)`
  `AABB`
  `popAABB()`
  `AABB[]`
  `popAABB(int num)`
  `Mat22`
  `popMat22()`
  `Mat22[]`
  `popMat22(int num)`
  `Mat33`
  `popMat33()`
  `Rot`
  `popRot()`
  `Vec2`
  `popVec2()`
  `Vec2[]`
  `popVec2(int num)`
  `Vec3`
  `popVec3()`
  `Vec3[]`
  `popVec3(int num)`
  `void`
  `pushAABB(int num)`
  `void`
  `pushMat22(int num)`
  `void`
  `pushMat33(int num)`
  `void`
  `pushRot(int num)`
  `void`
  `pushVec2(int num)`
  `void`
  `pushVec3(int num)`

- ## Method Details

  - ### getPolyContactStack

    IDynamicStack<Contact> getPolyContactStack()

  - ### getCircleContactStack

    IDynamicStack<Contact> getCircleContactStack()

  - ### getPolyCircleContactStack

    IDynamicStack<Contact> getPolyCircleContactStack()

  - ### getEdgeCircleContactStack

    IDynamicStack<Contact> getEdgeCircleContactStack()

  - ### getEdgePolyContactStack

    IDynamicStack<Contact> getEdgePolyContactStack()

  - ### getChainCircleContactStack

    IDynamicStack<Contact> getChainCircleContactStack()

  - ### getChainPolyContactStack

    IDynamicStack<Contact> getChainPolyContactStack()

  - ### popVec2

    Vec2 popVec2()

  - ### popVec2

    Vec2[] popVec2(int num)

  - ### pushVec2

    void pushVec2(int num)

  - ### popVec3

    Vec3 popVec3()

  - ### popVec3

    Vec3[] popVec3(int num)

  - ### pushVec3

    void pushVec3(int num)

  - ### popMat22

    Mat22 popMat22()

  - ### popMat22

    Mat22[] popMat22(int num)

  - ### pushMat22

    void pushMat22(int num)

  - ### popMat33

    Mat33 popMat33()

  - ### pushMat33

    void pushMat33(int num)

  - ### popAABB

    AABB popAABB()

  - ### popAABB

    AABB[] popAABB(int num)

  - ### pushAABB

    void pushAABB(int num)

  - ### popRot

    Rot popRot()

  - ### pushRot

    void pushRot(int num)

  - ### getCollision

    Collision getCollision()

  - ### getTimeOfImpact

    TimeOfImpact getTimeOfImpact()

  - ### getDistance

    Distance getDistance()

  - ### getFloatArray

    float[] getFloatArray(int argLength)

  - ### getIntArray

    int[] getIntArray(int argLength)

  - ### getVec2Array

    Vec2[] getVec2Array(int argLength)